from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    FLOW_DATA_SOURCE = GlobalConfig.CONFIG.get("LLMNR_NBTNS", "FLOW_DATA_SOURCE", fallback="correlated_flow_viz")

    IPS_DATA_SOURCE = GlobalConfig.CONFIG.get(
        "LLMNR_NBTNS", "IPS_DATA_SOURCE", fallback="pace2druid_manager_realization_config"
    )

    FLOW_QUERY_GRANULARITY = GlobalConfig.CONFIG.get("LLMNR_NBTNS", "FLOW_QUERY_GRANULARITY", fallback="day")

    IPS_QUERY_GRANULARITY = GlobalConfig.CONFIG.get("LLMNR_NBTNS", "IPS_QUERY_GRANULARITY", fallback="all")

    BASELINE_MAX_RETENTION_DAYS = GlobalConfig.CONFIG.get("LLMNR_NBTNS", "BASELINE_MAX_RETENTION_DAYS", fallback="30")

    MIN_BASELINE_DURATION_DAYS = GlobalConfig.CONFIG.get("LLMNR_NBTNS", "MIN_BASELINE_DURATION_DAYS", fallback="7")

    BASELINE_MAX_HISTORICAL_CREATION_DAYS = GlobalConfig.CONFIG.get(
        "LLMNR_NBTNS", "BASELINE_MAX_HISTORICAL_CREATION_DAYS", fallback="7"
    )

    PERSIST_LOW_CONFIDENCE_EVENTS_AS_SILENT = GlobalConfig.CONFIG.get(
        "LLMNR_NBTNS", "PERSIST_LOW_CONFIDENCE_EVENTS_AS_SILENT", fallback="False"
    )

    DEFAULT_RESPONSE_TO_REQUEST_RATIO = GlobalConfig.CONFIG.get(
        "LLMNR_NBTNS", "DEFAULT_RESPONSE_TO_REQUEST_RATIO", fallback="1"
    )

    EVENT_METADATA_COMPUTE_LIMIT = GlobalConfig.CONFIG.get(
        "LLMNR_NBTNS", "EVENT_METADATA_COMPUTE_LIMIT", fallback="500"
    )
